﻿<!DOCTYPE html>

<html lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8" />
    <title></title>
     <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/font-awesome.min.css" rel="stylesheet">
    <link href="css/animate.min.css" rel="stylesheet">
    <link href="css/owl.carousel.css" rel="stylesheet">
    <link href="css/owl.transitions.css" rel="stylesheet">
    <link href="css/prettyPhoto.css" rel="stylesheet">
    <link href="css/main.css" rel="stylesheet">
    <link href="css/responsive.css" rel="stylesheet">
   
</head>
<body id="home" class="homepage">

    <header id="header">
        <nav id="main-menu" class="navbar navbar-default navbar-fixed-top" role="banner">
            <div class="container">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                </div>

 <div class="collapse navbar-collapse navbar-right">
                    <ul class="nav navbar-nav">
                        <li class="scroll"><a href="page1">Page 1</a></li>
                        <li class="scroll"><a href="page2">Page 2</a></li>
                        <li class="scroll"><a href="page3">Page 3</a></li>
                                               
                    </ul>
                </div>
                </div><!--/.container-->
        </nav><!--/nav-->
    </header><!--/header-->
    <script type="text/javascript">
        // ============================ PAGE 1 ====================================
        function createTable() {
            var body = document.getElementsByTagName("body")[0];
            var tbl = document.createElement("table");
            var tblBody = document.createElement("tbody");
            var num = 4;
            for (var i = 0; i < 12; i++) {
                var row = document.createElement("tr");

                for (var j = 0; j < 3; j++) {
                    var cell = document.createElement("td");
                    if (i == 0) {
                        if (j == 0) var cellText = document.createTextNode("Number");
                        if (j == 1) var cellText = document.createTextNode("Square");
                        if (j == 2) var cellText = document.createTextNode("Cube");
                    }
                    else {
                        if (j == 0) var cellText = document.createTextNode(num);
                        else if (j == 1) var cellText = document.createTextNode(Math.pow(num, 2));
                        else var cellText = document.createTextNode(Math.pow(num, 3));
                    }
                    cell.appendChild(cellText);
                    row.appendChild(cell);

                }
                num++;
                tblBody.appendChild(row);
            }
            tbl.appendChild(tblBody);
            body.appendChild(tbl);
            tbl.setAttribute("border", "1");
        }
        
       </script>
       <section id="cta" class="wow fadeIn">
        <div class="container">
            <div class="row">
                <div class="col-sm-9" >
                    <h2>
                    (Only using JavaScript to calculate data and create a table)</br>
                    A table of numbers from 5 to 15:
                    </h2>
                    <script type="text/javascript">createTable();</script>
                </div>
            </div>
        </div>
    </section><!--/#cta-->
</body >
</html >